Name:		gnomint
Version:	1.2.1
Release:	4%{?dist}
Summary:	Graphical x509 Certification Authority management tool

Group:		Applications/System
License:	GPLv3+
URL:		http://gnomint.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-DSO-libgcrypt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gnutls-devel >= 2
BuildRequires:	libgnomeui-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	sqlite-devel >= 3
BuildRequires:	intltool
BuildRequires:	readline-devel

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
Certification Authority management made easy.

gnoMint is a x509 Certification Authority management tool for
GTK/Gnome environments.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-dependency-tracking --disable-schemas-install
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --delete-original \
  --remove-category=Application \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%postun
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS MAINTAINERS 
%doc ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-upgrade-db
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}/*.ui

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2.1-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 27 2010 Adam Huffman <bloch@verdurin.com> - 1.2.1-1
- new upstream feature and bugfix release
  - full changelog at http://gnomint.sourceforge.net/?q=node
- use macros consistently
- drop cflags patch
- fix cflags via install section

* Sun Feb 14 2010 Adam Huffman <bloch@verdurin.com> - 1.1.0-2
- fix for DSO linking error

* Thu Jan 14 2010 Adam Huffman <bloch@verdurin.com> - 1.1.0-1
- new upstream release 1.1.0
- use GtkBuilder instead of Libglade
- correct bug affecting showpolicy command in gnomint-cli
- fix some problems affecting databases with different certificates with the same DN
- add Catalan translation
- update all translations from Launchpad

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Adam Huffman <bloch@verdurin.com> - 1.0.0-1
- new stable upstream release
- added forgotten crlgen function to gnomint-cli text-based interface
- fix compilation with GnuTLS 2.8.0
- new translations and translation updates

* Tue Apr 28 2009 Adam Huffman <bloch@verdurin.com> - 0.9.1-5
- workaround patch tag problem

* Sun Apr 26 2009  Adam Huffman <bloch@verdurin.com> - 0.9.1-4
- really fix 496518

* Tue Apr 21 2009  Adam Huffman <bloch@verdurin.com> - 0.9.1-3
- fix for bug 496518 - $RPM_OPT_FLAGS not used

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Adam Huffman <bloch@verdurin.com> - 0.9.1-1
- new upstream release including command-line interface
- thanks to Seva Epsteyn for spec patch

* Fri Nov 21 2008 Adam Huffman <bloch@verdurin.com> - 0.6.0-1
- new upstream release

* Thu Oct  9 2008 Adam Huffman <bloch@verdurin.com> - 0.5.4-2
- ensure correct CFLAGS
- don't call gconf-2 during rpmbuild
- fix scriptlet closures

* Sun Oct  5 2008 Adam Huffman <bloch@verdurin.com> - 0.5.4-1
- new upstream release
- remove compilation fix patch
- add BR for intltool
- remove Application category from .desktop file

* Sun Sep 28 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-3
- add compilation fix patch

* Tue Sep 23 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-2
- remove redundant BR
- remove empty/inappropriate doc files
- pre/post/preun Requires
- fix License tag


* Sun Sep 21 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-1
- initial version

